function [edge_petal] = make_edge_petal(regions)
edge_petal = [];
for i=1:length(regions.REGS)
    r = regions.REGS{i}.edge;
    if ~isempty(r)
        edge_petal = [edge_petal; regions.shape(r,:), ones(length(r),1)*i];
    end
end
return;

